Bug 688322 - Review Request: rubygem-webby - Awesome static website creation and management!
Summary: Review Request: rubygem-webby - Awesome static website creation and management!
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 688315 688316 688317 688318
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 19:45 UTC by Chris Lalancette
Modified: 2011-06-30 21:57 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-30 21:57:40 UTC


Attachments (Terms of Use)

Description Chris Lalancette 2011-03-16 19:45:30 UTC
Spec URL:
http://people.redhat.com/clalance/rubygem-webby/rubygem-webby.spec
SRPM URL:
http://people.redhat.com/clalance/rubygem-webby/rubygem-webby-0.9.4.1-1.fc14.src.rpm
Description: *Webby* is a fantastic little website management system. It would be called a *content management system* if it were a bigger kid. But, it's just a runt with a special knack for transforming text. And that's really all it does -
manages the legwork of turning text into something else, an *ASCII Alchemist*
if you will.
Webby works by combining the contents of a *page* with a *layout* to produce
HTML. The layout contains everything common to all the pages - HTML headers,
navigation menu, footer, etc. - and the page contains just the information for
that page. You can use your favorite markup language to write your pages;
Webby supports quite a few.
Install Webby and try it out!

I ran rpmlint against the spec:
[clalance@localhost SPECS]$ rpmlint rubygem-webby.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[clalance@localhost SPECS]$ rpmlint ../SRPMS/rubygem-webby-0.9.4.1-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Chris Lalancette 2011-04-02 20:28:53 UTC
Based on review comments in BZ 688316, I've made a new package available.  Note that this package is *older* (0.9.4 vs. 0.9.4.1) than the previous one, but it is the released version rather than a git snapshot.  The new SRPM and SPEC file are available here:

http://people.redhat.com/clalance/rubygem-webby/rubygem-webby.spec
http://people.redhat.com/clalance/rubygem-webby/rubygem-webby-0.9.4-1.fc14.src.rpm

Thanks,
Chris Lalancette

Comment 2 Chris Lalancette 2011-06-30 21:57:40 UTC
Well, it looks like webby is unmaintained upstream.  Combine this with the fact that we are going to switch the aeolus infrastructure over to using nanoc, and I think there isn't really a good reason to put this in Fedora.

Closing this review request out.


Note You need to log in before you can comment on or make changes to this bug.